import React from "react";
declare type ManagedFormElement<T = string> = UnmanangedFormElement & {
    onChange: (v: T) => void;
    value: T;
};
declare type UnmanangedFormElement = {
    className?: string;
    disabled?: boolean;
    label?: React.ReactNode;
    nullable?: boolean;
    placeholder?: string;
};
export declare type FormElement<T = string> = (ManagedFormElement<T> | UnmanangedFormElement);
export {};
